#include "StdAfx.h"
#include "Item.h"

CItem::CItem(ITEM_NAME s)
{
	name = s;
//	s_name = "" + name;

	count = 0;
	transactionBitMask = new V_BIT_ARRAY();
}

CItem::~CItem(void)
{
	delete transactionBitMask;
}

void CItem::AddTransaction(int transactionNum)
{
	count++;
//	transactionBitMask->Set(transactionNum, true);
	transactionBitMask->SetAppend(transactionNum);
}

int CItem::CompareTo(CItem *o)
{
		// Reverse sort
	return o->count - count;
}

std::string CItem::ToString()
{
	return s_name;
}
